# Create or Update Batch MemberTooth

Create or Update multiple MemberTooth at once.  If the entity exists, it will be updated.  If the entity does not exist, it will be created.

Endpoint: PUT /subscribers/{subscriberID}/members/{memberSeq}/teeth-batch
Version: v1
Security: apiKeyAuth, bearerAuth

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `bearerAuth` (unknown)
    http bearer JWT

## Path parameters:

  - `subscriberID` (string, required)
    Subscriber ID

  - `memberSeq` (string, required)
    Member Seq

## Header parameters:

  - `vbasoftware-database` (string, required)
    Target database

## Request fields (application/json):

  - `memberTooth_Key` (integer, required)
    Unique identifier for each Tooth tracking record on this member. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `claim_Entered` (boolean, required)
    Identifies that the information was automatically entered based upon claim information. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `entry_Date` (string)
    Date when the record was first added to the system.

  - `entry_User` (string)
    User that first added the record to the system.

  - `member_Seq` (string, required)
    References Members.Member_Seq value on the parent record.

  - `subscriber_ID` (string, required)
    References Members.Subscriber_ID value on the parent record.

  - `tooth_Number` (integer, required)
    Identifies the number of the tooth/teeth that the User intends to change the status of. Teeth may also be selected using one of the group buttons such as Right, left; molars, incisors; upper, lower; etc. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `tooth_Status` (string)
    Sets the status of the selected tooth/teeth. Teeth can be set as extracted, crowned, bridged, root, or cleared.

  - `update_Date` (string)
    Date when the record was last updated in the system.

  - `update_User` (string)
    User that last updated the record in the system.

  - `user_Entered` (boolean, required)
    Idenfities that the information was manually entered by a User. Note: This field is marked as NOT NULL in the database and therefore required by the API.

## Response 207:

  - `207` (unknown)
    Success

## Response 207 fields (application/json):

  - `data` (array)

  - `data.id` (array, required)
    List of key/value pairs that represent the unique id for the entity operation.

  - `data.id.key` (string)

  - `data.id.value` (string)

  - `data.status` (integer, required)
    http status of the operation (eg, 200, 201, 500)

  - `data.body` (string, required)
    operation message (eg, Updated, Created, Error message)

  - `error` (object)

  - `error.detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `error.instance` (string)
    A URI reference that identifies the specific occurrence of the problem.It may
or may not yield further information if dereferenced.

  - `error.status` (integer)
    The HTTP status code([RFC7231], Section 6) generated by the origin server for
this occurrence of the problem.

  - `error.title` (string)
    A short, human-readable summary of the problem type.It SHOULD NOT change from
occurrence to occurrence of the problem, except for purposes of localization(e.g.,
using proactive content negotiation; see[RFC7231], Section 3.4).

  - `error.type` (string)
    A URI reference [RFC3986] that identifies the problem type. This specification
encourages that, when dereferenced, it provide human-readable documentation for
the problem type (e.g., using HTML [W3C.REC-html5-20141028]). When this member
is not present, its value is assumed to be "about:blank".

  - `debug` (object)

  - `debug.activityID` (string, required)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 403:

  - `403` (unknown)
    Forbidden. The x-api-key header is missing or not valid. The API gateway sends this response, not VBAPI, so the body is not the VBAPI envelope; see Errors and troubleshooting.

## Response 429:

  - `429` (unknown)
    Too many requests. The limit is 25 requests per second sustained, with bursts up to 50, per API key. Wait and retry with exponential backoff and jitter.

